<div class="page">
  <app-toolbar></app-toolbar>
  <app-hint></app-hint>
  <div class="container">
    <app-checkone-form [tlds]="tlds"></app-checkone-form>
    <app-word-forms
      [tlds]="tlds"
      (showResults)="showResults($event)"
    ></app-word-forms>
    <app-results
      [results]="resultsSubject.asObservable()"
      (saveToScratchboard)="saveToScratchboard($event)"
    ></app-results>
    <div class="scratchbox">
      <app-scratchbox
        [domains]="domainsSubject.asObservable()"
        (showScratchboxResults)="showScratchboxResults($event)"
      ></app-scratchbox>
      <app-results-scratchbox
        [results]="scratchboxResultsSubject.asObservable()"
      ></app-results-scratchbox>
    </div>
  </div>
  <app-footer></app-footer>
</div>
